CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel: Kernel::ConstructVertex_3 Concept Reference

CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
List of all members
Kernel::ConstructVertex_3 Concept Reference
Reference Manual » Concepts » Kernel Function Object Concepts

## Definition

Refines
  `AdaptableBinaryFunction`

See also
  `CGAL::Iso_cuboid_3<Kernel>`
  `CGAL::Segment_3<Kernel>`
  `CGAL::Tetrahedron_3<Kernel>`
  `CGAL::Triangle_3<Kernel>`

## Operations
A model of this concept must provide:
Kernel::Point_3 | operator() (const Kernel::Segment_3 &s, int i)
| returns source or target of `s`: `fo``(s,0)` returns the source of `s`, `fo``(s,1)` returns the target of `s`.
Kernel::Point_3 | operator() (const Kernel::Iso_cuboid_3 &c, int i)
| returns the i-th vertex of `c`, as indicated in the figure below.
Kernel::Point_3 | operator() (const Kernel::Triangle_3 &t, int i)
| returns the i-th vertex of `t`.
Kernel::Point_3 | operator() (const Kernel::Tetrahedron_3 &t, int i)
| returns the i-th vertex of `t`.

## Member Function Documentation

## ◆ operator()() [1/4]

Kernel::Point_3 Kernel::ConstructVertex_3::operator() | ( | const Kernel::Iso_cuboid_3 & | c,
|  | int | i
| ) |  |

returns the i-th vertex of `c`, as indicated in the figure below.

The parameter `i` is taken modulo 8.

## ◆ operator()() [2/4]

Kernel::Point_3 Kernel::ConstructVertex_3::operator() | ( | const Kernel::Segment_3 & | s,
|  | int | i
| ) |  |

returns source or target of `s`: `fo``(s,0)` returns the source of `s`, `fo``(s,1)` returns the target of `s`.

The parameter `i` is taken modulo 2.

## ◆ operator()() [3/4]

Kernel::Point_3 Kernel::ConstructVertex_3::operator() | ( | const Kernel::Tetrahedron_3 & | t,
|  | int | i
| ) |  |

returns the i-th vertex of `t`.

The parameter `i` is taken modulo 4.

## ◆ operator()() [4/4]

Kernel::Point_3 Kernel::ConstructVertex_3::operator() | ( | const Kernel::Triangle_3 & | t,
|  | int | i
| ) |  |

returns the i-th vertex of `t`.

The parameter `i` is taken modulo 3.